List AI Lead Finder Agent activities
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/lead-finder/{id}/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a08b36-b257-7e7f-af78-5b78491b8e7a",
"agent_id": "01a08b36-b257-7e7f-af78-5b78491b8e7a",
"organization_id": "01a08b36-b257-7e7f-af78-5b78491b8e7a",
"timestamp_created": "2026-09-10T12:06:52.760Z",
"event_type": "top_up_completed",
"payload": {
"leads_added": 25,
"campaign_active_leads_after": 75,
"reason": "Enrichment failed"
}
}
],
"next_starting_after": "WyIyMDI2LTA4LTAzVDEwOjAwOjAwLjAwMFoiLCIwMTk4Il0"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Lead Finder Agent
List AI Lead Finder Agent activities
List the activity events of an AI Lead Finder Agent, newest first.
Requires one of the following scopes: ai_agents:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
lead-finder
/
{id}
/
activities
List AI Lead Finder Agent activities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Lead Finder Agent ID
Example:
"01a08b36-b257-7e7f-af78-5b78491b8e7a"
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
Opaque pagination cursor - pass the next_starting_after value from the previous response. Do not construct it manually.
Example:
"WyIyMDI2LTA4LTAzVDEwOjAwOjAwLjAwMFoiLCIwMTk4Il0"